﻿* {
    box-sizing: border-box;
}

#flex {
    display: flex;
    flex-wrap: wrap;
    min-height: 100vh;
}

body {
    font-family: Verdana, sans-serif;
    margin: 0;
}

header,
nav,
section,
aside,
footer {
    width: 100%;
}

header {
    background-color: black;
    color: white;
    text-align: center;
    padding: 5px;
}

nav {
    background-color: white;
    height: fit-content;
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

nav li {
    background-color: #1d3fd4;
    margin: 5px 0;
}

nav li a {
    display: block;
    color: white;
    padding: 10px;
    text-decoration: none;
    text-align: center;
}

nav li:hover {
    background-color: #3876e7;
}

section {
    padding: 10px;
}

picture img {
    width: 550px;
    max-width: 100%;
}

iframe {
    max-width: 100%;
}

aside {
    background-color: #cccccc;
    padding: 5px;
    height: fit-content;
}

footer {
    background-color: black;
    color: white;
    text-align: center;
    padding: 5px;
    margin-top: auto;
}

@media (min-width: 768px) {
    nav {
        width: 25%;
    }
    section {
        width: 75%;
    }
    aside {
        width: 100%;
    }
}

@media (min-width: 992px) {
    nav {
        width: 25%;
    }
    section {
        width: 58%;
    }
    aside {
        width: 17%;
    }
}

@media (min-width: 1200px) {
    nav {
        width: 100%;
    }
    section {
        width: 83%;
    }
    aside {
        width: 17%;
    }
    nav ul {
        display: flex;
        flex-wrap: wrap;
    }
    nav li {
        margin: 0 10px 0 0;
    }
}